<?php
/*
Snippet Name: iWorks change avatar size
Snippet URI: http://iworks.pl/
Description: Allow to change default avatar size.
Version: trunk
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: BSD
 */

class iWorks_Change_Avatar_Size
{

    private $size = 92;

    public function __construct()
    {
        add_filter( 'get_avatar', array( &$this, 'get_avatar' ), 10, 5 );
    }

    /**
     * get_avatar filter
     */
    public function get_avatar( $avatar, $id_or_email, $size, $default, $alt )
    {
        if ( $this->size == $size ) {
            return $avatar;
        }
        return get_avatar( $id_or_email, $this->size, $default, $alt );
    }
}

new iWorks_Change_Avatar_Size();

